/*
(C) 2010 Katsutoshi YAGISHITA (yagisita@spnet.ne.jp)
*/

function parseFxAccountinfo(target, body)
{
	target.fx.accountinfo_total = null;
	target.fx.data = null;

	var e;
	if ((e = getSubstringByDivNodeFromHtml(body, "<body", "</body>")) != null) {
		var divs;
		divs = e.getElementsByTagName("TD");
		if (divs) {
			var i;
			for (i = 0; i < divs.length; ++i) {
				if (divs[i].innerHTML == "&nbsp;Yv") {
					var ptd;
					for (ptd = divs[i].nextSibling; ptd; ptd = ptd.nextSibling) {
						if (ptd.nodeName == "TD") {
							var v = getValueFromYenString(getSpecifiedChildOfElement(ptd));
							target.fx.accountinfo_total = v;
							break;
						}
					}
					break;
				}
			}
		}
	}
	if (target.fx.accountinfo_total == null)
		return false;

	var a = new Array();

	if ((e = getSubstringByDivNodeFromHtml(body, "<body", "</body>")) != null) {
		var divs;
		divs = e.getElementsByTagName("TD");
		if (divs) {
			var i;
			for (i = 0; i < divs.length; ++i) {
				if (getSpecifiedChildOfElement(divs[i]) == "ʔԍ") {
					var j = -2;
					var ptr;
					for (ptr = getSpecifiedParentOfElement(divs[i], "TR"); ptr; ptr = ptr.nextSibling) {
						if (ptr.nodeName == "TR" && j++ >= 0) {
							var ptds = ptr.getElementsByTagName("TD");

							var o = new Object();
							o.code = getValueFromYenString(getSpecifiedChildOfElement(ptds[3]))
							o.name = getSpecifiedChildOfElement(ptds[0]);
							o.direction = getSpecifiedChildOfElement(ptds[1]);
							o.num = getValueFromYenString(getValuableStringOfElement(ptds[6]));
							o.initrate = getValueFromYenString(getSpecifiedChildOfElement(ptds[4]));
							var cur = ptds[5].innerHTML;
							if ((ii = cur.indexOf("<BR>")) >= 0 || (ii = cur.indexOf("<br>")) >= 0)
								cur = cur.substring(ii);
							o.currate = getValueFromYenString(cur);
							o.profit = getValueFromYenString(getValuableStringOfElement(ptds[8]));
							o.sw = getValueFromYenString(getValuableStringOfElement(ptds[9]));

							a[a.length] = o;
						}
					}
				}
			}
		}
	}

	target.fx.data = a;

	if (target.finishFunc)
		target.finishFunc(target.fx, target, 0);

	return true;
}

function getFxAccount(target, callback)
{
	if (!islogined_fx(target)) {
		callback(null, null, 1);
		return false;
	}

	target.finishFunc = callback;

	var fxaccountinfo_url = "https://fx.sbisec.co.jp/forex/trade/client/syoukai/syoukaiKouza.aspx";

	getAndParseHtml(function (body) { parseEtradeHtml(parseFxAccountinfo, target, body, fxaccountinfo_url); }, fxaccountinfo_url, "GET", null, createHeaderArrayForSession(target.fx.aspnet_sessionid + "; " + target.fx.user_sessionid + "; " + target.fx.user_kouzaid + "; " + target.trading_site));

	return true;
}
